Index: /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limthd_lac_2.F90
===================================================================
--- /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limthd_lac_2.F90	(revision 1854)
+++ /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limthd_lac_2.F90	(revision 1855)
@@ -1,34 +1,35 @@
 MODULE limthd_lac_2
-#if defined key_lim2
    !!======================================================================
    !!                       ***  MODULE limthd_lac_2   ***
-   !!                lateral thermodynamic growth of the ice 
+   !!   LIM 2 ice model :   thermodynamics -- lateral accretion of the ice 
    !!======================================================================
-
-   !!----------------------------------------------------------------------
-   !!   lim_lat_acr_2    : lateral accretion of ice
-   !! * Modules used
+   !! History :  LIM  !  2001-04 (UCL)  original code
+   !!            2.0  !  2002-08 (C. Ethe, G. Madec)  F90, mpp
+   !!----------------------------------------------------------------------
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!   lim_lat_acr_2   : lateral accretion of ice
+   !!----------------------------------------------------------------------
    USE par_oce          ! ocean parameters
-   USE phycst
-   USE thd_ice_2
-   USE ice_2
-   USE limistate_2 
+   USE phycst           ! physical constants
+   USE ice_2            ! LIM 2 sea-ice variables
+   USE limistate_2      ! LIM 2 initial state
      
    IMPLICIT NONE
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC lim_thd_lac_2   ! called by lim_thd_2
-
-   !! * Module variables
-   REAL(wp)  ::           &  ! constant values
-      epsi20 = 1.e-20  ,  &
-      epsi13 = 1.e-13  ,  &
-      zzero  = 0.e0    ,  &
-      zone   = 1.e0
-   !!----------------------------------------------------------------------
-   !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005) 
+   PUBLIC   lim_thd_lac_2   ! called by lim_thd_2
+
+   REAL(wp) ::   epsi20 = 1.e-20   ! constant values
+   REAL(wp) ::   epsi13 = 1.e-13   !
+   REAL(wp) ::   rzero  = 0.e0     !
+   REAL(wp) ::   rone   = 1.e0     !
+
+   !!----------------------------------------------------------------------
+   !! NEMO/LIM 3.3,  UCL-LOCEAN-IPSL (2010) 
    !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -60,50 +61,37 @@
       !!               update h_snow_1d, h_ice_1d and tbif_1d(:,:)      
       !! 
-      !! ** References :
-      !!      M. Maqueda, 1995, PhD Thesis, Univesidad Complutense Madrid
-      !!      Fichefet T. and M. Maqueda 1997, J. Geo. Res., 102(C6), 
-      !!                                                12609 -12646   
-      !! History :
-      !!   1.0  !  01-04 (LIM)  original code
-      !!   2.0  !  02-08 (C. Ethe, G. Madec)  F90, mpp
+      !! References :   M. Maqueda, 1995, PhD Thesis, Univesidad Complutense Madrid
+      !!                Fichefet T. and M. Maqueda 1997, J. Geo. Res., 102(C6), 12609 -12646   
       !!-------------------------------------------------------------------
-      !! * Arguments
-      INTEGER , INTENT(IN)::  &
-         kideb          ,   &  ! start point on which the the computation is applied
-         kiut                  ! end point on which the the computation is applied
-
-      !! * Local variables
-      INTEGER ::            &
-         ji             ,   &  !  dummy loop indices
-         iicefr         ,   &  !  1 = existing ice ; 0 = no ice
-         iiceform       ,   &  !  1 = ice formed   ; 0 = no ice formed
-         ihemis                !  dummy indice
-      REAL(wp), DIMENSION(jpij) :: &
-         zqbgow           ,  &  !  heat budget of the open water (negative)
-         zfrl_old         ,  &  !  previous sea/ice fraction
-         zhice_old        ,  &  !  previous ice thickness
-         zhice0           ,  &  !  thickness of newly formed ice in leads
-         zfrlmin          ,  &  !  minimum fraction for leads
-         zdhicbot               !  part of thickness of newly formed ice in leads which 
-                                !  has been already used in transport for example
-      REAL(wp)  ::  &
-         zhemis           ,  &  !  hemisphere (0 = North, 1 = South)
-         zhicenew         ,  &  !  new ice thickness
-         zholds2          ,  &  !  ratio of previous ice thickness and 2 
-         zhnews2          ,  &  !  ratio of new ice thickness and 2 
-         zfrlnew          ,  &  !  new sea/ice fraction
-         zfrld            ,  &  !  ratio of sea/ice fraction and minimum fraction for leads
-         zfrrate          ,  &  !  leads-closure rate
-         zdfrl                  !  sea-ice fraction increment
-      REAL(wp)  ::  &
-         zdh1 , zdh2 , zdh3 , zdh4, zdh5   , &   ! tempory scalars
-         ztint , zta1 , zta2 , zta3 , zta4 , &
-         zah, zalpha , zbeta
+      INTEGER, INTENT(in) ::   kideb   ! start point on which the the computation is applied
+      INTEGER, INTENT(in) ::   kiut    ! end point on which the the computation is applied
+      !!
+      INTEGER ::   ji         !  dummy loop indices
+      INTEGER ::   iicefr     !  1 = existing ice ; 0 = no ice
+      INTEGER ::   iiceform   !  1 = ice formed   ; 0 = no ice formed
+      INTEGER ::   ihemis     !  hemisphere indicator 
+      REAL(wp), DIMENSION(jpij) ::   zqbgow      !  heat budget of the open water (negative)
+      REAL(wp), DIMENSION(jpij) ::   zfrl_old    !  previous sea/ice fraction
+      REAL(wp), DIMENSION(jpij) ::   zhice_old   !  previous ice thickness
+      REAL(wp), DIMENSION(jpij) ::   zhice0      !  thickness of newly formed ice in leads
+      REAL(wp), DIMENSION(jpij) ::   zfrlmin     !  minimum fraction for leads
+      REAL(wp), DIMENSION(jpij) ::   zdhicbot    !  part of thickness of newly formed ice in leads which 
+      !                                          !  has been already used in transport for example
+      REAL(wp) ::   zhemis     !  hemisphere (0 = North, 1 = South)
+      REAL(wp) ::   zhicenew   !  new ice thickness
+      REAL(wp) ::   zholds2    !  ratio of previous ice thickness and 2 
+      REAL(wp) ::   zhnews2    !  ratio of new ice thickness and 2 
+      REAL(wp) ::   zfrlnew    !  new sea/ice fraction
+      REAL(wp) ::   zfrld      !  ratio of sea/ice fraction and minimum fraction for leads
+      REAL(wp) ::   zfrrate    !  leads-closure rate
+      REAL(wp) ::   zdfrl      !  sea-ice fraction increment
+      REAL(wp) ::   zdh1 , zdh2, zdh3, zdh4, zdh5   ! tempory scalars
+      REAL(wp) ::   ztint, zta1, zta2, zta3, zta4   !    -       -
+      REAL(wp) ::   zah, zalpha, zbeta              !    -       -
       !!---------------------------------------------------------------------      
                    
       !--------------------------------------------------------------
       !   Computation of the heat budget of the open water (negative)
-      !--------------------------------------------------------------
-      
+      !-------------------------------------------------------------- 
       DO ji = kideb , kiut      
          zqbgow(ji) = qldif_1d(ji) - qcmif_1d(ji)
@@ -131,5 +119,4 @@
       !     Morales Maqueda, 1995 - Fichefet and Morales Maqueda, 1997
       !---------------------------------------------------------------------
-      
 !CDIR NOVERRCHK
       DO ji = kideb , kiut
@@ -145,5 +132,5 @@
          !--computation of the remaining part of ice thickness which has been already used
          zdhicbot(ji) =  ( frld_1d(ji) - zfrlnew ) * zhice0(ji) / ( 1.0 - zfrlmin(ji) ) & 
-                      -  (  ( 1.0 - zfrrate ) / ( 1.0 - frld_1d(ji) ) )  * ( zqbgow(ji) / xlic ) 
+            &         -  (  ( 1.0 - zfrrate ) / ( 1.0 - frld_1d(ji) ) )  * ( zqbgow(ji) / xlic ) 
       END DO
  
@@ -155,5 +142,4 @@
       !         (1-Anew) * hsnew = (1-Aold) * hsold            
       !--------------------------------------------------------------------------------------------
-      
       DO ji = kideb , kiut
          iicefr       = 1 - MAX( 0, INT( SIGN( 1.5 * zone , zfrl_old(ji) - 1.0 + epsi13 ) ) )
@@ -169,5 +155,4 @@
       !   Ajustement of ice internal temperatures
       !-------------------------------------------------------
-      
       DO ji = kideb , kiut
          iicefr      = 1 - MAX( 0, INT( SIGN( 1.5 * zone , zfrl_old(ji) - 1.0 + epsi13 ) ) )
@@ -213,19 +198,17 @@
       !           dV = Vnew - Vold
       !-------------------------------------------------------------
-      
       DO ji = kideb , kiut
          dvlbq_1d  (ji) = ( 1. - frld_1d(ji) ) * h_ice_1d(ji) - ( 1. - zfrl_old(ji) ) * zhice_old(ji)
          rdmicif_1d(ji) = rdmicif_1d(ji) + rhoic * dvlbq_1d(ji)
       END DO
-      
+      !
    END SUBROUTINE lim_thd_lac_2
+   
 #else
+   !!----------------------------------------------------------------------
+   !!   Default option          Dummy module       NO LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+#endif
+
    !!======================================================================
-   !!                       ***  MODULE limthd_lac_2   ***
-   !!                           no sea ice model
-   !!======================================================================
-CONTAINS
-   SUBROUTINE lim_thd_lac_2           ! Empty routine
-   END SUBROUTINE lim_thd_lac_2
-#endif
 END MODULE limthd_lac_2
Index: /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limthd_zdf_2.F90
===================================================================
--- /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limthd_zdf_2.F90	(revision 1854)
+++ /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limthd_zdf_2.F90	(revision 1855)
@@ -4,6 +4,6 @@
    !!                thermodynamic growth and decay of the ice 
    !!======================================================================
-   !! History :  1.0  !  01-04 (LIM) Original code
-   !!            2.0  !  02-08 (C. Ethe, G. Madec) F90
+   !! History :  1.0  !  2001-04 (LIM) Original code
+   !!            2.0  !  2002-08 (C. Ethe, G. Madec) F90
    !!----------------------------------------------------------------------
 #if defined key_lim2
@@ -11,14 +11,12 @@
    !!   'key_lim2'                                    LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
    !!   lim_thd_zdf_2 : vertical accr./abl. and lateral ablation of sea ice
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE par_oce          ! ocean parameters
-   USE phycst           ! ???
-   USE thd_ice_2
-   USE ice_2
-   USE limistate_2
-   USE in_out_manager
+   USE phycst           ! physical constants
+   USE ice_2            ! LIM 2 sea-ice variables
+   USE limistate_2      ! LIM 2 initial state
+   USE in_out_manager   ! I/O manager
+   !!
    USE cpl_oasis3, ONLY : lk_cpl
       
@@ -26,12 +24,13 @@
    PRIVATE
 
-   PUBLIC   lim_thd_zdf_2        ! called by lim_thd_2
-
-   REAL(wp) ::   epsi20 = 1.e-20  ,  &  ! constant values
-      &          epsi13 = 1.e-13  ,  &
-      &          zzero  = 0.e0    ,  &
-      &          zone   = 1.e0
+   PUBLIC   lim_thd_zdf_2   ! called by lim_thd_2
+
+   REAL(wp) ::   epsi20 = 1.e-20   ! constant values
+   REAL(wp) ::   epsi13 = 1.e-13   !
+   REAL(wp) ::   rzero  = 0.e0     !
+   REAL(wp) ::   rone   = 1.e0     !
+
    !!----------------------------------------------------------------------
-   !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005) 
+   !! NEMO/LIM 3.3,  UCL-LOCEAN-IPSL (2010) 
    !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
